# removeDealExternalLink

Remove a deal link.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "removeDealExternalLink", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `dealId`: `ID!` (required)
- `linkId`: `ID!` (required)

## Response (data, an example)

```json
{
  "dealMutation": {
    "deleteDealExternalLink": {
      "id": "<ID>",
      "externalLinks": [
        {
          "id": "<ID>",
          "title": "…",
          "url": "…"
        }
      ]
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "removeDealExternalLink",
    "variables": {
      "dealId": "<dealId>",
      "linkId": "<linkId>"
    }
  }'
```
